> For the complete documentation index, see [llms.txt](https://docs.mashmatrix.com/mashmatrix-sheet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mashmatrix.com/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation/show_hide_column.md).

# Show / Hide Column

## Show / Hide Matrix Column

To hide a matrix column, choose "Hide" from the menu in the matrix column header. Hiding a matrix column hides all the series value / child columns inside.

To make it visible again, proceed the same process as a normal column described in ["Show / Hide Column"](/mashmatrix-sheet/functions_about_displaying_data/show_hide_column.md).

## Show / Hide Series Value Column

To hide a specific series value column, select "Hide" from the menu in the series value header you want to hide. Hiding a series value column hides all child columns aligned to that series value.

To make it visible again, select "Setting" in matrix column menu to show the column setting dialog. In "Series" tab in the dialog you can change visibility of the hidden series value column.

## Show / Hide Child Column

To hide a child column, select "Hide" from the menu of the child column header you want to hide. Hiding a specific child column hides corresponding child columns for all series values.

To make it visible again, select "Setting" in matrix column menu to show the column setting dialog. In "Child Columns" tab in the dialog you can change visibility of the hidden child column.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mashmatrix.com/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation/show_hide_column.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
